<?php
// Ensure no output before session_start() or header()
session_start();   // Starts the session

if (empty($_SESSION['username'])) { 
    header("Location: login_form.php");
    exit();
}
?>
<!doctype html>
<html>
<head>
    <style>
        /* Sticky buttons container */
        .sticky-buttons {
            position: sticky;
            top: 0;
            background-color: #f9f9f9;
            padding: 10px;
            border-bottom: 1px solid #ccc;
            text-align: center;
            z-index: 1000; /* Ensures the buttons stay above other content */
        }
        .sticky-buttons button {
            margin: 5px;
            padding: 10px 20px;
            background-color: #300ACC;
            color: white;
            border: none;
            border-radius: 5px;
            cursor: pointer;
        }
        .sticky-buttons button:hover {
            background-color: #4e3cff;
        }
    </style>
</head>
<body>
    <!-- Sticky buttons -->
    <div class="sticky-buttons">
        <button type="button" onclick="location.href='secret_page_admin.php'">Go back</button>
        <button type="button" onclick="location.href='logout.php'">Log out</button>
    </div>

    <?php
    include('mysqli_connect.php');
    $query = "SELECT * FROM customers"; 
    $result = mysqli_query($dbc, $query); 

    // Check if query was successful
    if ($result) {
        $row_cnt = mysqli_num_rows($result);
        echo "In total, the number of retrieved records is: <strong> $row_cnt </strong> <br>";
        
        while ($row = mysqli_fetch_array($result, MYSQLI_ASSOC)) {
            // Display username and full name
            echo "Username: " . $row['custusername'] . "<br>\n";
            echo "Full Name: " . $row['custfirstname'] . " " . $row['custlastname'] . "<br><br>\n";
        }
    } else {
        echo "Error retrieving records: " . mysqli_error($dbc);
    }

    mysqli_close($dbc);
    ?>
</body>
</html>