<?php
session_start();
include('mysqli_connect.php'); // Ensure no whitespace here

// Debugging: Show all errors
mysqli_report(MYSQLI_REPORT_ERROR | MYSQLI_REPORT_STRICT);

// Login logic
if ($_SERVER['REQUEST_METHOD'] === 'POST' && isset($_POST['username'], $_POST['password'])) {
    // Sanitize and assign login inputs
    $username = mysqli_real_escape_string($dbc, trim($_POST['username']));
    $password = mysqli_real_escape_string($dbc, trim($_POST['password']));

    // Query employees table
    $query_employees = "SELECT * FROM employees WHERE username = '$username' AND password = SHA2('$password', 256)";
    $result_employees = mysqli_query($dbc, $query_employees);

    // Query customers table
    $query_customers = "SELECT * FROM customers WHERE custusername = '$username' AND password = SHA2('$password', 256)";
    $result_customers = mysqli_query($dbc, $query_customers);

    // Check employees login
    if (mysqli_num_rows($result_employees) === 1) {
        $row = mysqli_fetch_assoc($result_employees);

        // Set session variables for employee
        $_SESSION['username'] = $username;
        $_SESSION['fullname'] = $row['firstname'] . ' ' . $row['lastname'];

        // Redirect based on admin status
        if ($row['is_admin'] == 1) {
            header('Location: secret_page_admin.php');
        } else {
            header('Location: secret_page_employee.php');
        }
        exit();
    }

    // Check customers login
    elseif (mysqli_num_rows($result_customers) === 1) {
        $row = mysqli_fetch_assoc($result_customers);

        // Set session variables for customer
        $_SESSION['custusername'] = $username;
        $_SESSION['fullname'] = $row['custfirstname'] . ' ' . $row['custlastname'];

        // Redirect based on VIP status
        if ($row['is_vip'] == 1) {
            header('Location: secret_page_vip.php');
        } else {
            header('Location: secret_page.php');
        }
        exit();
    } else {
        // If no match, redirect to login form
        header('Location: login_form.php');
        exit();
    }
}

    // Always handle form submission
    // Collect and sanitize form data
        $username = mysqli_real_escape_string($dbc, trim($_POST['username']));
        $password = mysqli_real_escape_string($dbc, trim($_POST['password']));
        $custfirstname = mysqli_real_escape_string($dbc, trim($_POST['custfirstname']));
        $custlastname = mysqli_real_escape_string($dbc, trim($_POST['custlastname']));
        $email = mysqli_real_escape_string($dbc, trim($_POST['email']));
        $phone = mysqli_real_escape_string($dbc, trim($_POST['phone']));
        $address_line1 = mysqli_real_escape_string($dbc, trim($_POST['addressline1']));
        $address_line2 = !empty($_POST['addressline2']) ? "'" . mysqli_real_escape_string($dbc, trim($_POST['addressline2'])) . "'" : "NULL";
        $city = mysqli_real_escape_string($dbc, trim($_POST['city']));
        $state = !empty($_POST['state']) ? "'" . mysqli_real_escape_string($dbc, trim($_POST['state'])) . "'" : "NULL";
        $postal_code = !empty($_POST['postalcode']) ? "'" . mysqli_real_escape_string($dbc, trim($_POST['postalcode'])) . "'" : "NULL";

        // Default is_vip to 0 (non-VIP)
        $is_vip = 0;

        // Hash the password
        $hashed_password = hash('sha256', $password);

        // Insert new customer into the database
        $query = "INSERT INTO customers (custusername, password, custfirstname, custlastname, phone, email, addressline1, addressline2, city, state, postalcode, is_vip) 
          VALUES ('$username', '$hashed_password', '$custfirstname', '$custlastname', '$phone', '$email', '$address_line1', $address_line2, '$city', $state, $postal_code, '$is_vip')";

        $result = mysqli_query($dbc, $query);

        // Redirect or display error based on success
        if ($result) {
          $_SESSION['custusername'] = $username;
          $_SESSION['fullname'] = $custfirstname . ' ' . $custlastname;
         header('Location: secret_page.php');
        exit();
        } else {
        echo "Error creating account: " . mysqli_error($dbc);
}

?>