<?php # Secret page for admin 
session_start();
if (empty($_SESSION['username'])) {   
    header("Location: login_form.php");
    exit();
}
?>
<!doctype html>
<html>
<head>
    <style>
    form {
      width: 80%;
      max-width: 600px;
      margin: 0 auto;
    }
    </style>
</head>
<body>
    <?php
    include('mysqli_connect.php'); // Include database connection

    // Retrieve admin's full name using the logged-in username
    $username = mysqli_real_escape_string($dbc, $_SESSION['username']);
    $query = "SELECT firstname, lastname FROM employees WHERE username = '$username'";
    $result = mysqli_query($dbc, $query);

    // Display the welcome message
    if ($result && $row = mysqli_fetch_assoc($result)) {
        $fullname = htmlspecialchars($row['firstname']) . " " . htmlspecialchars($row['lastname']);
        echo "<h1 style='text-align: center;'>Welcome $fullname</h1>";
    } else {
        // Fallback message if something unexpected happens
        echo "<h1>Welcome Administrator</h1>";
    }

    echo "<h2 style='color: red; text-align: center;'>This page is for administrator use only!</h2>";
    
    // View all users button
    echo "<p style='text-align: center;'><button type=\"button\" onclick=\"location.href='admin_view_all_users.php'\">View all registered users</button></p>";
    
    // View all product button
    echo "<p style='text-align: center;'><button type=\"button\" onclick=\"location.href='admin_view_all_product.php'\">View all product</button></p>";
    ?>

<div align="center">
<h2 style="color: blue;"> Add a product! </h2>
</div>
<!-- Form that allows admin user to add a product to the database-->
<form action="handle_admin_add_new_product.php" method="post"> 

	<fieldset><legend>Enter product information in the form below:</legend>

	<p><label>Item Number: <input type="text" name="item_no" size="20"></label></p>
	<p><label>Product Name: <input type="text" name="product_name" size="20"></label></p>
	<p><label>Product Type:<select name="product_type">
		<option value="Capital Ship">Capital Ship</option>
		<option value="Character">Character</option>
		<option value="Ground Vehicles">Ground Vehicles</option>
		<option value="Other">Other</option>
		<option value="Scene">Scene</option>
		<option value="Starfighter">Starfighter</option>
	</select></label></p>
	<p><label>Quantity: <input type="number" name="qty" size="20" maxlength="10"></label></p>
	<p><label>Price: <input type="number" name="price" size="20" maxlength="10"></label></p>
	   <label for="imageurl">Image URL: </label>
    <input type="url" name="imageurl" id="imageurl" size="40" placeholder="Enter image URL" required>
</p>
<p align="center">
    <input type="submit" name="submit" value="Submit Product Information">
</p>
    </fieldset>
</form>
<br><br>
<p style='text-align: center;'><button type="button" onclick="location.href='logout.php';">Log out</button></p>
</body>
</html>